<!-- AUTOGENERATED BY glean_parser.  DO NOT EDIT. -->

# Metrics
This document enumerates the metrics collected by this project.
This project may depend on other projects which also collect metrics.
This means you might have to go searching through the dependency tree to get a full picture of everything collected by this project.

# Pings

 - [migration](#migration)


## migration
A ping sent after a Fennec->Fenix migration was completed.

The following metrics are added to the ping:

| Name | Type | Description | Data reviews | Extras | Expiration |
| --- | --- | --- | --- | --- | --- |
| migration.addons.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.addons.failed_addons |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |How many addons failed to migrate?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.addons.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.addons.migrated_addons |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |How many addons were migrated?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.addons.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.bookmarks.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.bookmarks.detected |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Total number of detected bookmarks prior to a migration.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.bookmarks.duration |[timespan](https://mozilla.github.io/glean/book/user/metrics/timespan.html) |Duration of the bookmarks migration.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.bookmarks.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.bookmarks.migrated |[labeled_counter](https://mozilla.github.io/glean/book/user/metrics/labeled_counters.html) |Counters describing how bookmark migration went; should add-up to 'migration.bookmarks.detected'.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)|<ul><li>succeeded</li><li>failed</li></ul>|2020-10-01 |
| migration.bookmarks.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.fxa.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.fxa.bad_auth_state |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |If we couldn't migrate due to a bad auth state, what was it?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.fxa.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.fxa.has_custom_idp_server |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Is custom idp server configured?  |[1](https://github.com/mozilla-mobile/android-components/pull/5582#issuecomment-574673110)||2020-10-01 |
| migration.fxa.has_custom_token_server |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Is custom token server configured?  |[1](https://github.com/mozilla-mobile/android-components/pull/5582#issuecomment-574673110)||2020-10-01 |
| migration.fxa.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.fxa.unsupported_account_version |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |What is the detected unsupported account version?  |[1](https://github.com/mozilla-mobile/android-components/pull/5582#issuecomment-574673110)||2020-10-01 |
| migration.fxa.unsupported_pickle_version |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |What is the detected unsupported pickle version?  |[1](https://github.com/mozilla-mobile/android-components/pull/5582#issuecomment-574673110)||2020-10-01 |
| migration.fxa.unsupported_state_version |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |What is the detected unsupported state version?  |[1](https://github.com/mozilla-mobile/android-components/pull/5582#issuecomment-574673110)||2020-10-01 |
| migration.gecko.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.gecko.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.gecko.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.history.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.history.detected |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Total number of detected history items prior to a migration.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.history.duration |[timespan](https://mozilla.github.io/glean/book/user/metrics/timespan.html) |Duration of the history migration.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.history.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.history.migrated |[labeled_counter](https://mozilla.github.io/glean/book/user/metrics/labeled_counters.html) |Counters describing how history migration went; should add-up to 'migration.history.detected'.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)|<ul><li>succeeded</li><li>failed</li></ul>|2020-10-01 |
| migration.history.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.logins.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.logins.detected |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |How many logins were detected?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.logins.failure_counts |[labeled_counter](https://mozilla.github.io/glean/book/user/metrics/labeled_counters.html) |How many logins failed to be migrated, and in which ways?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)|<ul><li>process</li><li>import</li></ul>|2020-10-01 |
| migration.logins.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.logins.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.logins.unsupported_db_version |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |If we couldn't migrate due to an unsupported db version, what was it?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.migration_versions |[labeled_string](https://mozilla.github.io/glean/book/user/metrics/labeled_strings.html) |Versions of the migrations which were executed.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)|<ul><li>history</li><li>bookmarks</li><li>logins</li><li>open_tabs</li><li>fxa</li><li>gecko</li><li>settings</li><li>telemetry_identifiers</li><li>addons</li><li>search</li><li>pinned_sites</li></ul>|2020-10-01 |
| migration.open_tabs.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.open_tabs.detected |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Number of detected open tabs.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.open_tabs.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.open_tabs.migrated |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Number of migrated open tabs.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.open_tabs.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.pinned_sites.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](TODO)||2020-10-01 |
| migration.pinned_sites.detected_pinned_sites |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |How many pinned sites were detected?  |[1](TODO)||2020-10-01 |
| migration.pinned_sites.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](TODO)||2020-10-01 |
| migration.pinned_sites.migrated_pinned_sites |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |How many pinned sites were migrated?  |[1](TODO)||2020-10-01 |
| migration.pinned_sites.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](TODO)||2020-10-01 |
| migration.search.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5819#pullrequestreview-353890362)||2020-10-01 |
| migration.search.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5819#pullrequestreview-353890362)||2020-10-01 |
| migration.search.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5819#pullrequestreview-353890362)||2020-10-01 |
| migration.settings.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.settings.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.settings.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.settings.telemetry_enabled |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Is telemetry enabled after this migration?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.telemetry_identifiers.any_failures |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |Did this migration encounter any failures (exceptions)?  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.telemetry_identifiers.failure_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration failed. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |
| migration.telemetry_identifiers.fennec_client_id |[uuid](https://mozilla.github.io/glean/book/user/metrics/uuid.html) |Records clientID of the migrated Fennec profile.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.telemetry_identifiers.fennec_profile_creation_date |[datetime](https://mozilla.github.io/glean/book/user/metrics/datetime.html) |Records when the migrated Fennec profile was created.  |[1](https://github.com/mozilla-mobile/android-components/pull/5483#issuecomment-573971458)||2020-10-01 |
| migration.telemetry_identifiers.success_reason |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Why this migration succeeded. See codes in TelemetryHelpers.kt  |[1](https://github.com/mozilla-mobile/android-components/pull/5655#pullrequestreview-346359792)||2020-10-01 |


<!-- AUTOGENERATED BY glean_parser.  DO NOT EDIT. -->

